<template>
  <v-sheet min-height="400" class="fill-height" color="transparent">
    <v-lazy
      v-model="isActive"
      :options="{
        threshold: 0.1,
      }"
      min-height="400"
      transition="fade-transition"
      class="fill-height"
    >
      <Country :data="country"></Country>
    </v-lazy>
  </v-sheet>
</template>

<script>
import Country from "@/components/countries/list/Country";
export default {
  name: "CountryLazyLoader",
  components: { Country },
  props: {
    country: {
      type: Object,
    },
  },
  data() {
    return {
      isActive: false,
    };
  },
};
</script>

<style scoped>
.fade-enter-active,
.fade-leave-active {
  transition: opacity 0.5s;
}
.fade-enter, .fade-leave-to /* .fade-leave-active below version 2.1.8 */ {
  opacity: 0;
}
</style>
